Проблема установки MS Office 2013 с использованием Wine

10

Я пытаюсь установить MS office 2013 в Ubuntu 12.10 с помощью Wine. Но в нем говорится:

error: newer windows version needed.

Как исправить эту ошибку.

    
задан mmhyamin 07.02.2013 в 12:53
источник

2 ответа

9

Office 2013, не будет работать в более старых операционных системах, таких как Windows XP и Vista, совместим только с Windows 7, Windows 8, Windows Server 2008 R2 или Windows Server 2012.

Откройте терминал, введите winecfg , а затем выберите окна 7 из раскрывающегося списка внизу окна. Если это не сработает, я предлагаю посмотреть этот пост:

ответ дан hhlp 07.02.2013 в 13:09
источник
8

Кроме того, мне нужен dotnet20, который устанавливается только в 32-битном режиме.

Благодаря laurent исправление происходит следующим образом

 env WINEARCH=win32 WINEPREFIX=~/.wine32 winetricks dotnet20 msxml6 corefonts

Затем запустите env WINEARCH=win32 WINEPREFIX=~/.wine32 winecfg и выберите windows7 (спасибо hhlp)

Затем исправить msxml6 (спасибо Richard W. @ liberiangeek.net )

Наконец, установите env WINEARCH=win32 WINEPREFIX=~/.wine32 wine setup.exe

    
ответ дан maosmurf 27.12.2013 в 12:32